Yay Tasarımı

Güzel birlisb zaten autocad ile yay yapmanın en kolay yolu.

TOLERANSI OLMAYAN YAY, YAY DEĞİLDİR

Wordpad açın ve kopyaladığınız kodları yapıştırın Lısb uzantılı birşekilde kaydedin hepsi bu şayet yapamazsanız autocad dizinindeki lisb dosyalarından birini kopyalayın başka bir yere kaydedin ve Wordpad ile beraber açıp içindekileri silin yerine bu kodları yapıştırın dosya adınıda değiştirin yeter.

Autocadı açıp komut satırına ´´appload´´ yazın çıkan pencereden ´´Contents´´ tuşuna basıp kaydettiğiniz lisbi Autocada yükleyip ´´close´´ ile komuttan çıkın.

Lisb´i çalıştırmak için Komutsatırına ´´helix´´ yazmanız yeterli olacaktır Alt,üst radius yay boyu ve tel kalınlığını girin herhangi bir noktaya tıklayın yayınız hazır.

-KODLAR- (defun c:helix()
  (setq spin -1); -1=CW, 1=CCW
  (setq ri (getreal "Base radius: ") rf (getreal "Top radius: "))
  (initget (+ 1 4))
  (setq h (getreal "Height: "))
  (initget (+ 1 2 4))
  (setq tu (getreal "Number of turns: "))
  (setq segs (getint "Number of segments per turn <20>: ")); more=smoother
  (if (= segs nil)(setq segs 20))
  (setq old (getvar "osmode"))
  (setvar "cmdecho" 0) 
  (setq fi1 (/ (* 2 PI) segs) i 0)
  (setq points (fix (* tu segs))
   h1 (/ h points) r1 (/ (- rf ri) points)
   s (getpoint "Center of base: ")
   end (list (car s) (cadr s) (+ h (caddr s))))
  (setvar "osmode" 0 )
  (command "line" s end "")
  (command "chprop" "l" "" "c" 1 "")
  (command "3dpoly")
  (setq i 0)
  (repeat (1+ points)
    (setq fi (* i fi1) h (* i h1) r (+ ri (* i r1)))
    (setq x (* r (cos fi)) y (* spin r (sin fi)))
    (command (list (+ (car s) x) (+ (cadr s) y) (+ (caddr s) h)))
    (setq i (1+ i)))
  (command "")
  (setvar "osmode" old))
(princ "nRoutine loaded. Type HELIX at the command prompt.")
(princ)






Ekleyen: reques

Kapalı

Topic closed automatically because it`s been more than a year!